summaryrefslogtreecommitdiffstats
path: root/.scripts/statusbar/i3weather
diff options
context:
space:
mode:
Diffstat (limited to '.scripts/statusbar/i3weather')
-rwxr-xr-x.scripts/statusbar/i3weather15
1 files changed, 15 insertions, 0 deletions
diff --git a/.scripts/statusbar/i3weather b/.scripts/statusbar/i3weather
new file mode 100755
index 0000000..8573a42
--- /dev/null
+++ b/.scripts/statusbar/i3weather
@@ -0,0 +1,15 @@
+#!/bin/sh
+### This is only if your location isn't automatically detected, otherwise you can leave it blank.
+location=""
+
+[ "$location" != "" ] && location="$location+"
+
+[ "$BLOCK_BUTTON" = "1" ] && $TERMINAL -e popweather
+
+ping -q -w 1 -c 1 "$(ip r | grep default | tail -1 | cut -d ' ' -f 3)" >/dev/null || exit
+
+curl -s wttr.in/$location > ~/.weatherreport
+
+printf "%s" "$(sed '16q;d' ~/.weatherreport | grep -wo "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g" | tr -d '\n')"
+
+sed '13q;d' ~/.weatherreport | grep -o "m\\(-\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","☀️",$2 "°"}'